Aller au contenu
scango.ch
Français
Esc
naviguerouvrir⌘Japerçu

Créer un produit

Crée un produit. Nécessite une clé Write.

POST/products
Autorisation
AutorisationJeton Bearer (API key) · headerobligatoire
Clé API de l’organisation.
Corps de la requête
obligatoireapplication/json
namestringobligatoire
pricenumberobligatoire
Prix en centimes
taxCategorystringobligatoire
Autorisé:8.12.63.80
supplierstring
categorystring
declarationsstring
barcodestring
Normalisé en minuscules ; vide devient l’id du document
barcodeAliasesobject[]
Optional additional EANs. Omit when unused. Available when the barcode aliases feature is enabled for the organization.
Afficher les propriétés
Array of object
codestringobligatoire
quantitynumber
priceinteger
Optional pack price in cents
labelstring
externalIdstring
Optional external article ID
externalIdstring
depositProductnumber
Consigne en centimes
depositProductLabelstring
descriptionstring
salePricenumber
salePercentagenumber
salePriceDateFromstring<date-time>
salePriceDateTostring<date-time>
costPricenumber
marginnumber
showOnScreenboolean
ageRestrictionboolean
showOnScaleboolean
saleStopboolean
deactivatedboolean
imageUrlstring
Image URL. Empty string clears the field and deletes the stored asset when it belongs to this organization (same as DELETE /products/{productId}/image).
indexnumber
Réponses
200Produit créé
successbooleanobligatoire
idstringobligatoire
400Requête incorrecte
statusCodeintegerobligatoire
Code de statut HTTP
messagestringobligatoire
Message d’erreur lisible
timestampstring<date-time>obligatoire
pathstringobligatoire
Chemin de la requête
403Non autorisé
statusCodeintegerobligatoire
Code de statut HTTP
messagestringobligatoire
Message d’erreur lisible
timestampstring<date-time>obligatoire
pathstringobligatoire
Chemin de la requête
Requête
curl -X POST "https://dashboard.scango.ch/api/v1/products" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "price": 0,
  "taxCategory": "8.1",
  "supplier": "string",
  "category": "string",
  "declarations": "string",
  "barcode": "string",
  "barcodeAliases": [
    {
      "code": "string",
      "quantity": 0,
      "price": 0,
      "label": "string",
      "externalId": "string"
    }
  ],
  "externalId": "string",
  "depositProduct": 0,
  "depositProductLabel": "string",
  "description": "string",
  "salePrice": 0,
  "salePercentage": 0,
  "salePriceDateFrom": "2019-08-24T14:15:22Z",
  "salePriceDateTo": "2019-08-24T14:15:22Z",
  "costPrice": 0,
  "margin": 0,
  "showOnScreen": true,
  "ageRestriction": true,
  "showOnScale": true,
  "saleStop": true,
  "deactivated": true,
  "imageUrl": "string",
  "index": 0
}'
Réponse
{
  "success": true,
  "id": "string"
}